# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "5232afe7983ebdd152d33928cacbfa607c2d236e";
      sha256 = "1kw11v8lnkq5jd5rygl6ql11g285lqqzq1cp14w3j34ah4jsqaxh";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude."13.0.0" ];

  source = true;
}
