# ports are superficially similar to Nix, but inferior in every way
{ buildPackages }:
with buildPackages; {
  dde_bsd.hash = "sha256-2ilZs6JkcQAvU/sQYnHunGtGRZDt7qLTpKZxQxSOf2I=";
  dde_ipxe.hash = "sha256-uK110Cr01D6I2Fo0ZNP5U7rheseuH7LsghSPdFaGU3k=";
  dde_linux.hash = "sha256-3G5Mprv9ZBNhDJRuVF6Nrkp3KbFaN10IKFq0OdyAY9M=";
  dde_rump = {
    hash = "sha256-Wr5otGkWEa+5xImsFHQzwap5LckNEbyWA/7xbNcOreI=";
    nativeBuildInputs = [ subversion ];
    patches = [ ./svn-trust-server-cert.patch ];
  };
  expat.hash = "sha256-6Kz8qHmSg9/r+o3UJX8ZyB5aDjmfrbsUW/TppbB16jk=";
  jitterentropy.hash = "sha256-6KS732GxtUMz0xPYKtshdn039DgdJq11vTDQesZn4Ds=";
  jpeg.hash = "sha256-fiRwzwEDVd1Xgd+k4WOez8AfR4brsBg7g0D9+9VJZr4=";
  libc = {
    hash = "sha256-RL5l7GHlczc/6Uils9WCuPh9cCawx6XZ4H0HLPdMmAA=";
    nativeBuildInputs = [ buildPackages.gcc subversion ];
  };
  libiconv.hash = "sha256-H1BPWDmQ4s0zLnCitg+kz2yNeTU7+S7/w58SqmvHWGQ=";
  libpng.hash = "sha256-N69Q7ciQuW4sFl5k5XIe7rdkQvYZ3qfo6FlvgDgDGJo=";
  libssh.hash = "sha256-Z/1YdhISh2kqBjWiTOLkS+usoeeekJvAuYrVUgpxnQM=";
  lighttpd.hash = "sha256-fJ5w2YhTwjK+z6+VK50InPnDM5AmMnAwh0imx04sr5E=";
  lwip.hash = "sha256-mB7RI9ITvS5IDawQS4pXBcDQDQhtXEk3w0Deis+SzLQ=";
  lz4.hash = "sha256-IFfj+D5l+BE6JnuN0+doIAvTzXz5SHCQ+EF2m75UK08=";
  mesa = {
    hash = "sha256-szIyFAIkL14xBMdszkox00y2uwGwjHDUyQ+5bhljiJ8=";
    nativeBuildInputs = [ python ];
  };
  mupdf.hash = "sha256-+Q4IwYGLynoud2IEsKGfZQjpPRV6wFv5iI/ReAKBZcM=";
  openssl = {
    hash = "sha256-F0olTWYUwD//eJZ14ibN/IvbFXw3WQUZ/6cPI3lsxZI=";
    patches = [ ./openssl.patch ];
  };
  qemu-usb.hash = "sha256-F4ZXeH5sx3FOcD42zFOxKFMsqGookKdav1NJ7YgVw98=";
  stb.hash = "sha256-9LSH1i8jcEvjRAmTvgtK+Axy9hO7uiSzmSgBvs0zkTc=";
  stdcxx.hash = "sha256-U5/+yUBXQ+rKmy6hP7OomIU4g2KvSn2qTltQFzNz9Wo=";
  virtualbox5 = {
    hash = "sha256-2QJMXsr5P+Uu/xz6M+F93JxBznVdE7ZsoZKC2o/Xycw=";
    nativeBuildInputs = [ iasl libxslt unzip yasm ];
    patches = [ ./vbox5-iasl.patch ];
  };
  x86emu.hash = "sha256-QY6OL+cDVjQ67JItP1rS4ufPRGZf43AZtWxwza/0q0w=";
  zlib.hash = "sha256-+jl8Q3b+fw6P3aNDfLi8lohBJNaoapEld5BcE0GGTWg=";
}
