# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, depot, ... }:
with pkgs;

testEnv.mkTest rec {
  name = "noux";
  testConfig = ./noux.dhall;
  testInputs = map pkgs.genodeSources.depot [ "noux" "vfs" "libc" "posix" ]
    ++ (with depot; [ bash-minimal ncurses ]);
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];
  testScript = "run_genode_until {SOTEST SUCCESS} 40";
}
