# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchFromGitHub, cmake }:

stdenv.mkDerivation rec {
  pname = "bender";
  version = "1.0.0";

  src = fetchFromGitHub {
    owner = "blitz";
    repo = "bender";
    rev = "2c449524be4ea9fbb86b4e19d95fcfdc0a3bff0f";
    sha256 = "0xmy4izgxwxg10cc1q7q3zhzp01nk3dwr2hbq7vrbmk8j1z0r4yz";
  };

  hardeningDisable = [ "all" ];
  enableParallelBuilding = true;

  nativeBuildInputs = [ cmake ];
  cmakeFlags = [ "-DVERSION=${version}" ];

  installPhase = "install standalone/bender $out";
}
