# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, tup }:

stdenv.mkDerivation rec {
  pname = "block_router";
  version = "0.1.1";

  nativeBuildInputs = [ tup ];

  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/block_router";
    rev = "d229379abd16d6b19872b83772da81a2473f18ae";
    sha256 = "1wrz7r72psnxfaaj2gjp5zxy8h4k8ahbyjp8y70ghr9rm1hsdhj4";
  };

  installPhase = "install -Dm755 {.,$out}/block_router";

  meta = with stdenv.lib; {
    license = licenses.agpl3;
    maintainers = [ maintainers.ehmry ];
  };

}
