-- SPDX-License-Identifier: CC0-1.0

let Test = ./test.dhall ? env:DHALL_GENODE_TEST

let Genode = Test.Genode

let Child = Genode.Init.Child

in  Test::{
    , children = toMap
        { test-log =
            Child.flat
              Child.Attributes::{
              , binary = "test-log"
              , exitPropagate = True
              , resources = Genode.Init.Resources::{
                , caps = 500
                , ram = Genode.units.MiB 10
                }
              }
        }
    }
