-- SPDX-License-Identifier: CC0-1.0

let Genode = env:DHALL_GENODE

let Init = Genode.Init

let Child = Init.Child

let solo5 =
      Child.flat
        Child.Attributes::{
        , binary = "solo5-test_time"
        , exitPropagate = True
        , resources = Init.Resources::{ caps = 256, ram = Genode.units.MiB 3 }
        }

in  solo5
