# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "vmm";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./vmm_x86.dhall;
  testInputs = map pkgs.genodeSources.make [ "test/vmm_x86" ];
}
