# SPDX-License-Identifier: CC0-1.0

{ testEnv, pkgs, ... }:
with pkgs;

testEnv.mkTest {
  name = "x86";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = ./x86.dhall;
  testInputs = (map pkgs.genodeSources.depot [
    "acpi_drv"
    "platform_drv"
    "report_rom"
    "test-signal"
  ]) ++ (map pkgs.genodeSources.make [ "test/pci" "test/rtc" ]);
}
